Apple Updates Logic Studio and Final Cut Pro Studio

1

Comment

+ Add a Comment
avatar

matthew12

So now Snow Leopard, Final Cut, and Logic require Intel and Leopard, huh. iLife '09 requires Leopard and mostly runs on Intel, too. Does that mean next year iLife '10 will require Intel, too? Huh. I'm not worried because I have a fall 2008 MacBook.

Log in to Mac|Life directly or log in using Facebook

Forgot your username or password?
Click here for help.

Login with Facebook
Log in using Facebook to share comments and articles easily with your Facebook feed.